<template>
  <card class="card">
    <div style="margin-top: 0px; margin-bottom: 10px; text-align: center">
      <h3>
        <img style="width:8%;" src="@/assets/img/vue-logo.png" alt> &nbsp;
      </h3>
      <h3 style="text-align: center">ESD Dashboard</h3>
      <form @submit.prevent class="login-form">
        <div class="row">
          <div class="col-md-12">
            <fg-input type="text" label="Username" placeholder="Username" class="form-input" v-model="user.username"></fg-input>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <fg-input type="password" label="Password" placeholder="Password" class="form-input" v-model="user.password"></fg-input>
          </div>
        </div>

        <div class="text-center">
          <p-button type="info" round @click.native.prevent="loginUser">Login</p-button>
        </div>
        <div class="clearfix"></div>
      </form>
      <br>www.strutstechnology.co.ke
      <br>
    </div>
  </card>
</template>
<script>
export default {
  data() {
    return {
      user: {        
        username: "vueadmin@gmail.com",        
        password: "vueadmin1"
      }
    };
  },
  methods: {
    loginUser() {
      // Implement ESD Authentication
      // alert("Your data: " + JSON.stringify(this.user));
      this.$axios({
        url: `http://localhost:9010/esdws/authenticate`,
        method: "GET",
        withCredentials: false,
        auth:{
          username: this.user.username, 
          password: this.user.password
        }
      })
        .then(response => {        
          console.log(response.data);
          if (response.status) {
            // localStorage.setItem(USER_PAYLOAD, JSON.stringify(response.data));
              // this.props.history.push("/dashboard");
              this.$router.push("/dashboard");
          } else {
              alert("Invalid Login!");
          }
        }).catch(error => {
          alert("Invalid Login!");
      });

    }
  }
};
</script>
<style>
.login-form {
  padding: 10px;
  text-align: left;
}

.form-input {
  margin: auto;
  width: 70%;
}
</style>
